# MediaGoblin

A basic container for a private MediaGoblin media server (https://mediagoblin.org/), including Nginx and uWSGI. Assumes a separate PostgreSQL database for persistence, and an email relay host for sending email notifications.

Source at https://projects.torsion.org/witten/mediagoblin-docker

## Environment variables

 * `NOTIFICATION_EMAIL`: From address for MediaGoblin notification emails.
 * `EMAIL_RELAY_HOST`: Hostname used to send outgoing notification emails. Since MediaGoblin isn't terribly configurable as an email client, it's recommended that this "host" is a mail relay like https://hub.docker.com/r/alterrebe/postfix-relay/.
 * `DATABASE_URL`: Connection string for database to use for persistence, including credentials. See example below.

## Volumes

 * `/app/user_dev`: Location to store user media uploads.

## Ports

 * `80`: Only listens on port 80 for HTTP. Intended to be used in conjunction with an external reverse proxy like https://hub.docker.com/r/jwilder/nginx-proxy/ to provide HTTPS or anything else that's needed.

## Example

```console
docker run --detach --name=mediagoblin \
    --env NOTIFICATION_EMAIL=media@example.org \
    --env EMAIL_RELAY_HOST=relay.example.org \
    --env DATABASE_URL=postgresql://mediagoblin:password@database.example.org/mediagoblin \
    --volume /var/lib/mediagoblin/user_dev:/app/user_dev \
    --publish 80:80 \
    witten/mediagoblin:latest
```
